---
lang: en
title: 'API docs: authentication.authenticateactionprovider'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/authentication
permalink: /doc/en/lb4/apidocs.authentication.authenticateactionprovider.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authentication](./authentication.md) &gt; [AuthenticateActionProvider](./authentication.authenticateactionprovider.md)

## AuthenticateActionProvider class

Provides the authentication action for a sequence

<b>Signature:</b>

```typescript
export declare class AuthenticateActionProvider implements Provider<AuthenticateFn> 
```
<b>Implements:</b> [Provider](./context.provider.md)<!-- -->&lt;[AuthenticateFn](./authentication.authenticatefn.md)<!-- -->&gt;

## Example


```ts
context.bind('authentication.actions.authenticate').toProvider(AuthenticateActionProvider)
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(getStrategies, setCurrentUser, setRedirectUrl, setRedirectStatus, options)](./authentication.authenticateactionprovider._constructor_.md) |  | Constructs a new instance of the <code>AuthenticateActionProvider</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [getStrategies](./authentication.authenticateactionprovider.getstrategies.md) |  | [Getter](./context.getter.md)<!-- -->&lt;[AuthenticationStrategy](./authentication.authenticationstrategy.md) \| [AuthenticationStrategy](./authentication.authenticationstrategy.md)<!-- -->\[\] \| undefined&gt; |  |
|  [setCurrentUser](./authentication.authenticateactionprovider.setcurrentuser.md) |  | [Setter](./context.setter.md)<!-- -->&lt;[UserProfile](./security.userprofile.md)<!-- -->&gt; |  |
|  [setRedirectStatus](./authentication.authenticateactionprovider.setredirectstatus.md) |  | [Setter](./context.setter.md)<!-- -->&lt;number&gt; |  |
|  [setRedirectUrl](./authentication.authenticateactionprovider.setredirecturl.md) |  | [Setter](./context.setter.md)<!-- -->&lt;string&gt; |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [action(request)](./authentication.authenticateactionprovider.action.md) |  | The implementation of authenticate() sequence action. |
|  [value()](./authentication.authenticateactionprovider.value.md) |  |  |


